import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;


/**
 * The rectangle button; causes rectangles to be drawn on the canvas
 *
 * @author Annmarie Stanley and Hannah Chadd.
 *         Created Apr 4, 2008.
 */
public class rectButton extends JButton implements ActionListener,
		MouseListener {

	/** Creates a rectangle button */
	@SuppressWarnings("deprecation")
	public rectButton() {
		super();
		this.setLabel("Rectangle/Square");
	}
	
	public void actionPerformed(ActionEvent e) {
		// Empty

	}

	public void mouseClicked(MouseEvent e) {
		// Empty

	}

	public void mouseEntered(MouseEvent e) {
		// Empty

	}

	public void mouseExited(MouseEvent e) {
		// Empty

	}

	public void mousePressed(MouseEvent e) {
		CanvasPanel.changeButton(2);
	}

	public void mouseReleased(MouseEvent e) {
		// Empty

	}

}
